Upload Url import
curl --request POST \
--url https://api.sendrealm.com/imports/{import_id}/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"file_bytes": 262144000
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({file_bytes: 262144000})
};
fetch('https://api.sendrealm.com/imports/{import_id}/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/upload-url"
payload = { "file_bytes": 262144000 }
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"import_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upload_url": "<string>",
"method": "PUT",
"headers": {},
"expires_in_seconds": 123,
"max_bytes": 123
}
}Agent import API
Upload Url import
POST
/
imports
/
{import_id}
/
upload-url
Upload Url import
curl --request POST \
--url https://api.sendrealm.com/imports/{import_id}/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"file_bytes": 262144000
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({file_bytes: 262144000})
};
fetch('https://api.sendrealm.com/imports/{import_id}/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/upload-url"
payload = { "file_bytes": 262144000 }
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"import_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upload_url": "<string>",
"method": "PUT",
"headers": {},
"expires_in_seconds": 123,
"max_bytes": 123
}
}Requires a scoped personal key, explicit project selection, and current role authorization. See Agent imports for validation, consent, preparation, and recovery.
Authorizations
Integration key for backend workloads, or a scoped personal key (sr_user_) for account discovery and supported project operations. MCP accepts only personal keys.
Headers
Path Parameters
Body
application/json
Required range:
1 <= x <= 524288000